Index: trunk/cfg/encoder_mvd.cfg
===================================================================
--- trunk/cfg/encoder_mvd.cfg	(revision 2)
+++ trunk/cfg/encoder_mvd.cfg	(revision 5)
@@ -1,4 +1,2 @@
-
-
 #======== File I/O =====================
 InputFile_0                   : BookArrival_256x192\video\BookArrival_256x192_15_08.yuv
@@ -21,10 +19,8 @@
 
 
-
 #====== General Coding Parameters ======
 NumberOfViews                 : 3           # Number of views to be coded
 CodeDepthMaps                 : 1           # Encode depth maps
 FramesToBeEncoded             : 5           # Number of frames to be coded
-
 SourceWidth                   : 256         # Input  frame width
 SourceHeight                  : 192         # Input  frame height
@@ -35,11 +31,8 @@
 InternalBitDepth              : 10          # Internal bit-depth
 
-
-
 #====== Camera Parameters ======
 CameraParameterFile           : BookArrival_256x192\cam_bookarrival.cfg   # Camera parameter file
 BaseViewCameraNumbers         : 8 10 6                                    # Cameras in coding order [only NumberOfViews values are used]
-CodedCamParsPrecision         : 2                                         # precision for camera parameter coding (max. disparity error = 2^(-x)) [default: 2]
-
+CodedCamParsPrecision         : 5                                         # precision for camera parameter coding (max. disparity error = 2^(-x)) [default: 2]
 
 #======== Unit definition ================
@@ -53,23 +46,18 @@
 QuadtreeTUMaxDepthIntra       :  3
 
-
-
 #======== Coding Structure =============
-GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-RateGOPSize                   : 4           # GOP size used for QP assignment
+GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
+RateGOPSize                   : 8           # GOP size used for QP assignment
 LowDelayCoding                : 0           # Low-delay coding structure
-GOPFormatString               : IL0PL0(V0)_0*n{PL0(-4)PL0(-4,V0)_3BL1(-2;+2)BL1(-2;+2,V0)_1BL2(-1;+1)BL2(-1;+1,V0)_0BL2(-1;+1)BL2(-1,V0;+1)_2}
-CodecPictureStoreSize         : 16          # size of coded picture buffer
+GOPFormatString               : IL0PL3(V0)_0*n{ *2{ PL0(-8)PL3(-8,V0)_7 BL1(-4;+4)BL4(-4,V0;+4)_3 BL2(-2;+2,+6)BL5(-2,V0;+2,+6)_1 BL2(-2,-6;+2)BL5(-2,-6,V0;+2)_5 BL3(-1;+1,+3)BL6(-1,V0;+1,+3)_0 BL3(-1,-3;+1,+5)BL6(-1,-3,V0;+1,+5)_2 BL3(-1,-5;+1,+3)BL6(-1,-5,V0;+1,+3)_4 BL3(-1,-3;+1)BL6(-1,-3,V0;+1)_6 }*1{ IL0PL3(V0)_7 BL1(-4;+4)BL4(-4,V0;+4)_3 BL2(-2;+2,+6)BL5(-2,V0;+2,+6)_1 BL2(-2,-6;+2)BL5(-2,-6,V0;+2)_5 BL3(-1;+1,+3)BL6(-1,V0;+1,+3)_0 BL3(-1,-3;+1,+5)BL6(-1,-3,V0;+1,+5)_2 BL3(-1,-5;+1,+3)BL6(-1,-5,V0;+1,+3)_4 BL3(-1,-3;+1)BL6(-1,-3,V0;+1)_6 } }
+CodedPictureStoreSize         : 9
 TemporalLayerQPOffset_L0      : 0           # QP offset for layer 0
-TemporalLayerQPOffset_L1      : 3           # QP offset for layer 1
-TemporalLayerQPOffset_L2      : 4           # QP offset for layer 2
-TemporalLayerQPOffset_L3      : 5           # QP offset for layer 3
-
-
-
-#=========== Interpolation Filter =============
-RoundingControlBipred         : 0
-
-
+TemporalLayerQPOffset_L1      : 1           # QP offset for layer 1
+TemporalLayerQPOffset_L2      : 2           # QP offset for layer 2
+TemporalLayerQPOffset_L3      : 3           # QP offset for layer 3
+TemporalLayerQPOffset_L4      : 4           # QP offset for layer 4
+TemporalLayerQPOffset_L5      : 5           # QP offset for layer 5
+TemporalLayerQPOffset_L6      : 6           # QP offset for layer 6
+TemporalLayerQPOffset_L7      : 7           # QP offset for layer 7
 
 #=========== Motion Search =============
@@ -81,20 +69,16 @@
 
 #============= VSO =============
-VSOMode                        : 4           # VSO Mode Currently only (0: off or 4: Using RM)
-#VSOConfig                     : [cx0 E(s0.5)][cx1 B(cc0) I(s0.5)]                      #VSO Configuration (2-View) coding order 0 1
-VSOConfig                      : [cx0 B(cc1) I(s0.5)][cx1 E(s0 s2)][cx2 B(cc1) I(s1.5)] #VSO Configuration (3-View) coding order 1 0 2 oder 1 2 0
-AllowNegDist                   : 1
+VSO                           : 1           # View Synthesis Optimization
+VSOConfig                     : [cx0 B(cc1) I(s0.5)][cx1 B(oo0) B(oo2) I(s0.5 s1.5)][cx2 B(cc1) I(s1.5)]  #VSO Configuration (3-View) coding order 1 0 2 oder 1 2 0
+#VSOConfig                    : [cx0 B(cc1) I(s0.5)][cx1 B(oo0) I(s0.5)]                                  #VSO Configuration (2-View) coding order 1 0
+
 #======== Quantization =============
 QP                            : 32 34       # Quantization parameter(0-51), second QP for Depth
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
-RDOQ                          : 1           # RDOQ
-
-
+RDOQ                          : 1  1        # RDOQ
 
 #=========== Entropy Coding ============
 SymbolMode                    : 1           # 0:LCEC, 1:CABAC
-
-
 
 #=========== Deblock Filter ============
@@ -102,6 +86,4 @@
 LoopFilterAlphaC0Offset       : 0           # Range: -26 ~ 26
 LoopFilterBetaOffset          : 0           # Range: -26 ~ 26
-
-
 
 #=========== Coding Tools =================
@@ -127,10 +109,6 @@
                                             # If EntropySliceMode==1 it represents max. LCU per entropy slice.
                                             # If EntropySliceMode==2 it represents max. bins per entropy slice.
-
-OmitUnusedBlocks              : 0           # Omit coding of blocks not used for rendering
-VSO                           : 1           # View Synthesis Optimization
 DMM                           : 1           # Depth model modes intra luma (0: OFF, 1: ON)
 MVI                           : 1           # Motion vector inheritance for depth map coding (0: OFF, 1: ON)
-
 
 #====== multiview mv/res prediction ======
@@ -147,4 +125,5 @@
 
 #====== InterViewSkip ==
-InterViewSkip             : 1
+InterViewSkip             : 0
 InterViewSkipLambdaScale  : 8
+
Index: trunk/cfg/renderer.cfg
===================================================================
--- trunk/cfg/renderer.cfg	(revision 2)
+++ trunk/cfg/renderer.cfg	(revision 5)
@@ -1,7 +1,22 @@
 #======== Input and Output Files =======
-VideoInputFileBaseName  : C:\md\vids\original\MPEG_MVD_bookarrival_VN$_CTv_RS768X1024.yuv # input video file basename, '$' is replaced by ViewNumber
-DepthInputFileBaseName  : C:\md\vids\original\MPEG_MVD_bookarrival_VN$_CTd_RS768X1024.yuv # input depth file basename, '$' is replaced by ViewNumber
-SynthOutputFileBaseName : C:\md\temp\book_synth_$_RS768X1024.yuv                           # output video file basename, '$' is replaced by ViewNumber
+VideoInputFileBaseName  : C:\md\vids\original\MPEG_MVD_bookarrival_VN$_CTv_RS768X1024.yuv # input video file basename, '$' is replaced by BaseViewCameraNumber
+DepthInputFileBaseName  : C:\md\vids\original\MPEG_MVD_bookarrival_VN$_CTd_RS768X1024.yuv # input depth file basename, '$' is replaced by BaseViewCameraNumber
+SynthOutputFileBaseName : C:\md\temp\book_synth_$_RS768X1024.yuv                           # output video file basename, '$' is replaced by SynthViewCameraNumber
 ContOutputFileNumbering : 0                         # for SynthOutputFileBaseName only: 0 = Replace '$' with real view numbers, 1 = Replace '$' from Left View to Right View beginning with 0
+
+#======== Input and Output Files (alternatively )=======
+#VideoInputFile_0        : C:\md\vids\original\MPEG_MVD_bookarrival_VN10_CTv_RS768X1024.yuv
+#VideoInputFile_1        : C:\md\vids\original\MPEG_MVD_bookarrival_VN08_CTv_RS768X1024.yuv
+#VideoInputFile_2        : C:\md\vids\original\MPEG_MVD_bookarrival_VN06_CTv_RS768X1024.yuv
+
+#DepthInputFile_0        : C:\md\vids\original\MPEG_MVD_bookarrival_VN10_CTd_RS768X1024.yuv
+#DepthInputFile_1        : C:\md\vids\original\MPEG_MVD_bookarrival_VN08_CTd_RS768X1024.yuv
+#DepthInputFile_2        : C:\md\vids\original\MPEG_MVD_bookarrival_VN06_CTd_RS768X1024.yuv
+
+#SynthOutputFile_0       : C:\md\temp\book_synth_0_RS768X1024.yuv  
+#SynthOutputFile_1       : C:\md\temp\book_synth_1_RS768X1024.yuv  
+#SynthOutputFile_2       : C:\md\temp\book_synth_2_RS768X1024.yuv  
+# ...
+
 
 #======== File Specification =======
@@ -12,6 +27,6 @@
 
 #======== Camera Specification =======
-BaseViewCameraNumbers   : 10 8                      # numbers of base views, (From left to right)
-SynthViewCameraNumbers  : 0 : 0.25 : 2              # numbers or range of synthesized views
+BaseViewCameraNumbers   : 10 8 6                    # numbers of base views, (From left to right)
+SynthViewCameraNumbers  : 0 : 0.25 : 2              # numbers or range of synthesized views (original views are copied)
 CameraParameterFile     : c:\md\codecs\MVDC005_64\cfg\cam_para.cfg              # name of camera parameter file
 
@@ -20,17 +35,10 @@
 RendererMode            : 0                         # 0: use Renderer, 1: use Model, 10: generate used pels map
 
-#======== Sampling ======== 
-UVup                    : 1                         # upsampling of chroma planes before processing
-Log2SamplingFactor      : 0                         # factor for horizontal upsampling before processing (Only supported for Interpolation mode 1)
-
 #======== Pre/ PostProcesssing ======== 
-PreProcMode             : 0                         # depth pre-processing: 0 = none, 1 = binominal filtering
-PreFilterSize           : 0                         # for PreProcMode = 1:  half size of filter kernel
-TemporalDepthFilter     : 1                         # 0: off, 1: temporal depth filter of non-moving blocks ( tool from VSRS Software)
-PostProcMode            : 0                         # 0: none, 1: horizontal 3-tap median
+TemporalDepthFilter     : 0                         # 0: off, 1: temporal depth filter of non-moving blocks ( tool from VSRS Software)
+SimEnhance              : 1                         # 0: off, 1: on, Similarity enhancement
 
 #======== Interpolation ======== 
-InterpolationMode       : 4                         # 0: NN, 1:linear (int), 2:linear (double) , 3:cspline (double), 4: 8-tap/4-tap HEVC (int)
-ShiftPrecision          : 2                         # precision of Shifts 0: full pel, 1: half pel, 2: quater pel( should be 0 for interpolation modes 0, 2 and 3)
+ShiftPrecision          : 2                         # precision of Shifts 0: full pel, 1: half pel, 2: quater pel
 
 #======== Hole Filling ======== 
@@ -41,6 +49,6 @@
 BlendZThresPerc         : 30                        # Z-difference threshold for blending in percent of total Z-range
 BlendUseDistWeight      : 1                         # 0: blending using average; 1: weight blending depending on view distance 
-BlendHoleMargin         : 4                         # Margin next holes to fill with other view in interpolation or to cut in extrapolation ( should be 2 for extrapolation)
+BlendHoleMargin         : 6                         # Margin next holes to blend with other view in interpolation or to cut in extrapolation ( should be 2 for extrapolation)
 
-#======== Used Pel Map Generation ========
-UsedPelMapMarExt        : 0                         # Dilation width of used pel map
+#======== Others ===========
+Sweep                   : 0                         # Output all views to one file